#advantage-block {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}
.advantage-block__info {
  position: sticky;
  top: 180px;
  padding: 35px 40px 40px 40px;
  background-color: var(--bg-primary-second);
  border-radius: 10px;
  overflow: hidden;

  .title-block {
    margin-bottom: 20px;
    position: relative;
    z-index: 3;
  }

  .advantage-block__subtitle {
    max-width: 550px;
    color: var(--text-primary-main);
    margin-bottom: 71px;
    position: relative;
    z-index: 3;
  }

  .btn {
    position: relative;
    z-index: 3;
  }

  &::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(
      to top,
      var(--bg-primary-main) 4%,
      rgba(255, 255, 255, 0) 22%
    );
    z-index: 2;
  }

  &::after {
    content: "";
    width: 100%;
    height: 180px;
    background-image: url("./images/bg.png");
    background-size: contain;
    position: absolute;
    left: 0;
    bottom: 0;
    background-repeat: no-repeat;
    background-position: center;
  }
}
.advantage-block__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}
.advantage-block__item {
  position: relative;
  padding: 30px;
  background-color: var(--bg-primary-second);
  border-radius: 10px;
  display: flex;
  gap: 15px;
  justify-content: space-between;
  flex-direction: column;
}
.advantage-block__item-title {
  color: var(--text-primary-head);
}
.advantage-block__item-image {
  max-width: 150px;
  max-height: 150px;
  width: 100%;
  height: 100%;
  object-fit: contain;
  margin: 0 auto;
  display: block;
}
.advantage-block__item-text {
  color: var(--text-primary-main);
}
.advantage-block__item-decorate {
  position: absolute;
  width: 15px;
  height: 15px;
  border-radius: 100%;
  background-color: var(--bg-primary-main);
}
.advantage-block__item-decorate:nth-child(1) {
  top: 10px;
  left: 10px;
}
.advantage-block__item-decorate:nth-child(2) {
  top: 10px;
  right: 10px;
}
.advantage-block__item-decorate:nth-child(3) {
  bottom: 10px;
  left: 10px;
}
.advantage-block__item-decorate:nth-child(4) {
  bottom: 10px;
  right: 10px;
}
@media (max-width: 1400px) {
  .advantage-block__list,
  #advantage-block {
    gap: 15px;
  }
  .advantage-block__item {
    padding: 15px;
  }
  .advantage-block__item-decorate:nth-child(1) {
    top: 2px;
    left: 2px;
  }
  .advantage-block__item-decorate:nth-child(2) {
    top: 2px;
    right: 2px;
  }
  .advantage-block__item-decorate:nth-child(3) {
    bottom: 2px;
    left: 2px;
  }
  .advantage-block__item-decorate:nth-child(4) {
    bottom: 2px;
    right: 2px;
  }
  .advantage-block__info {
    padding: 20px;
  }
}
@media (max-width: 1024px) {
    #advantage-block {
        grid-template-columns: 1fr;
    }
    .advantage-block__item {
        gap: 15px;
    }
}
@media (max-width: 768px) {
    .advantage-block__item-decorate {
        display: none;
    }
    .advantage-block__list {
        grid-template-columns: 1fr;
    }
}